# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YouTubeMediaRating

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.MediaRating
              com.google.gdata.data.youtube.YouTubeMediaRating

All Implemented Interfaces:
  Extension

    public class YouTubeMediaRating

extends MediaRating

Adds an attribute `yt:country` to `MediaRating`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.media.mediarss.MediaRating
`DEFAULT_SCHEME`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YouTubeMediaRating()`

Method Summary
`void` `clearCountry()` Clears the attribute `country` of any value.
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Consumes attributes from the attribute helper.
`java.lang.String` `getContent()`
`java.util.Set<java.lang.String>` `getCountries()` Gets the country set.
`static ExtensionDescription` `getDefaultDescription()` Describes the tag to an `ExtensionProfile`.
`boolean` `hasCountries()` Checks whether a country set is set.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setAllCountries()` Explicitely sets the attribute `country` to `all`.
`void` `setContent(java.lang.String content)`
`void` `setCountries(java.util.Collection<java.lang.String> countries)` Defines the countries to which the rating applies.

Methods inherited from class com.google.gdata.data.media.mediarss.MediaRating
`getScheme, setScheme`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YouTubeMediaRating

    public YouTubeMediaRating()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describes the tag to an `ExtensionProfile`.

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `MediaRating`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `MediaRating`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### hasCountries

    public boolean hasCountries()

  Checks whether a country set is set.

  Returns:
    `true` if a country set is set, false if the rating applies to all countries

### setAllCountries

    public void setAllCountries()

  Explicitely sets the attribute `country` to `all`.

### clearCountry

    public void clearCountry()

  Clears the attribute `country` of any value.

### setCountries

    public void setCountries(java.util.Collection<java.lang.String> countries)

  Defines the countries to which the rating applies.

  Parameters:
    `countries` - 2-letter country code set or `null` to revert to the default value

### getCountries

    public java.util.Set<java.lang.String> getCountries()

  Gets the country set.

  Returns:
    country set, which may be empty but not `null`

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)